Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693720 - role with all Product Features checked, throws RbacPrivilegeException
Summary: role with all Product Features checked, throws RbacPrivilegeException
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.3
Assignee: Harpreet Kataria
QA Contact: Antonin Pagac
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1684472
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 14:24 UTC by Satoe Imaishi
Modified: 2019-04-09 20:39 UTC (History)
8 users (show)

Fixed In Version: 5.10.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1684472
Environment:
Last Closed:
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2019-03-29 17:17:29 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/655a92b2151d92d5f5ef02a31c22425192d2bce5
commit 655a92b2151d92d5f5ef02a31c22425192d2bce5
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Mar 22 04:46:11 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Fri Mar 22 04:46:11 2019 -0400

    Merge pull request #5362 from h-kataria/tagging_rbac_check_fix

    Fixed condition to use correct feature id

    (cherry picked from commit 8b3d60f73ce03cc4212edad33b29f774e7b572e9)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1693720

 app/controllers/application_controller/tags.rb | 2 +-
 spec/controllers/application_controller/tags_spec.rb | 25 +-
 2 files changed, 22 insertions(+), 5 deletions(-)

Comment 3 Antonin Pagac 2019-04-03 10:10:48 UTC
Appliance version: 5.10.3.0.

User can edit tags as expected; no error in evm.log.


Note You need to log in before you can comment on or make changes to this bug.